/*
	User Settings
*/
var customColorClassName = 'smCustomColor';
var customOverlayClassName = 'smCustomOverlay';
var customInvertetClassName = 'smCustomInverted';
var randomLetter = null;
var waterfallMultiplier = 6;
var cClassName = 'smC';
var mClassName = 'smM';
var yClassName = 'smY';
var kClassName = 'smK';
var wrapperClassName = 'smLinkWrapper';

(function( $ ) {
	$.extend( {
		init: function() {
			// Cufon replacements
			Cufon.replace("h1", {fontFamily: 'Cardo'});
			Cufon.replace("h2", {fontFamily: 'Cardo'});
            Cufon.replace(".smColumn li a", {fontFamily: 'LacunaItalic'});
			Cufon.replace(".smLettersShowCase li em", {fontFamily: 'Cardo'});

			// Some tricks with content
			$(window).load(function(){

				// Letters show randomizer
				var letters = $(".smLettersShowCase li em"); // Letters in my markup
				var height = $(".smLettersShowCase li").height(); // Height of container
				var width = $(".smLettersShowCase li").width(); // Width of container

				// Randomization:
				for (var i=0; i < letters.length; i++) {
					letters[i].style.top = Math.round(Math.random()*(height-$(letters[0]).height())) + "px";
					letters[i].style.left = Math.round(Math.random()*(width - $(letters[0]).width())) + "px";
				}

				// Custom Inverted
				for (var j=0; j < Math.ceil(letters.length*0.125); j++) {
					randomLetter = letters[Math.floor(Math.random()*letters.length)]; // Getting one of the letters
					if (randomLetter) {
						randomLetter.className += customInvertetClassName; // Adding a class
						Cufon.replace(randomLetter); // Re-render with Cufon
					}
				}

				// Custom Color
				randomLetter = letters[Math.floor(Math.random()*letters.length)]; // Getting one of the letters
				if (randomLetter) {
					randomLetter.className += customColorClassName; // Adding a class
					Cufon.replace(randomLetter); // Re-render with Cufon
				}

				// Little adjust for position of Showcase
				//alert($("h1").height() + $("h1").offset().top + ' ' + $(".smLettersShowCase").offset().top);

				// Waterfall

				$(".smColumn").each(function () {
					var paragraphs = this.getElementsByTagName('p');
					//alert(paragraphs.length);
					for (var i=1; i < paragraphs.length; i++) {
						//alert($(paragraphs[i]).css("paddingBottom"));
						$(paragraphs[i]).css("fontSize", parseInt($(paragraphs[i]).css("fontSize")) + i + "px");
						$(paragraphs[i]).css("paddingBottom", parseInt($(paragraphs[i]).css("paddingBottom")) + i*waterfallMultiplier + "px");
					}
				});

                // Misprinted symbol

                var as = $(".smColumn p a"); // Getting headers in basic columns together
                var randomLink = as[Math.floor(Math.random()*as.length)]; // Getting one of the paragraphs first letter
                //alert(randomLink);
                if (randomLink) {

                    var text = randomLink.innerHTML;
                    //alert(text);
                    var wrapper = document.createElement('ins');
                    wrapper.className = wrapperClassName;

                    var C = document.createElement('ins');
                    C.className = cClassName;

                    var M = document.createElement('ins');
                    M.className = mClassName;

                    var Y = document.createElement('ins');
                    Y.className = yClassName;

                    var K = document.createElement('ins');
                    K.className = kClassName;

                    C.innerHTML = text;
                     M.innerHTML = text;
                      Y.innerHTML = text;
                       K.innerHTML = text;

                    $(randomLink).append(wrapper);
                    $(wrapper).append(C);$(wrapper).append(M);$(wrapper).append(Y);$(wrapper).append(K);
                }


				//Footer overlay
				var footerParagraphs = $(".smFooter div p");
				for (var i=0; i < footerParagraphs.length; i++) {
					var overlay = document.createElement('ins');
					overlay.innerHTML = '&nbsp;';
					overlay.style.height = $(footerParagraphs[i]).height() + "px";
					overlay.style.width = $(footerParagraphs[i]).width() + "px";
					overlay.className = customOverlayClassName;
					$(footerParagraphs[i]).append(overlay);

					overlay.parentNode.onmouseover = function () {
						this.getElementsByTagName('ins')[0].style.top = "-99999px";
					}

					overlay.parentNode.onmouseout = function () {
						this.getElementsByTagName('ins')[0].style.top = "0";
					}
				}
				
				// Self Refresh
				var refreshLink = $(".smSelfRefresh");
				if (refreshLink) {
					$(refreshLink).attr("href", "javascript:location.reload(true);");
				}


			});
		}
	} );
} )(jQuery);

jQuery( function( $ ) {
	$.init(); // Inits content fx
} );